Skip to main content
PUT
/
orgs
/
{id}
Updates an existing organization
curl --request PUT \
  --url https://api.zippendo.com/orgs/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "slug": "<string>",
  "description": "<string>",
  "currency": "DKK",
  "vatNumber": "<string>",
  "overageEnabled": true,
  "billingEmail": "jsmith@example.com",
  "companyName": "<string>",
  "addressLine1": "<string>",
  "addressLine2": "<string>",
  "city": "<string>",
  "postalCode": "<string>",
  "country": "<string>"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "slug": "<string>",
  "description": "<string>",
  "currency": "DKK",
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "vatNumber": "<string>",
  "billingEmail": "<string>",
  "companyName": "<string>",
  "addressLine1": "<string>",
  "addressLine2": "<string>",
  "city": "<string>",
  "postalCode": "<string>",
  "country": "<string>"
}

Authorizations

Authorization
string
header
required

JWT access token or API token (prefixed with zipp_)

Path Parameters

id
string
required

ID

Body

application/json
name
string

Organization name

Minimum string length: 1
slug
string

Organization slug

Minimum string length: 1
Pattern: ^[a-z0-9-]+$
description
string

Organization description

currency
enum<string>

Billing currency

Available options:
DKK,
EUR,
USD,
GBP,
SEK,
NOK
vatNumber
string | null

Company VAT/tax ID for invoices

overageEnabled
boolean

Allow shipments beyond plan limit (overage charges apply)

billingEmail
string<email> | null

Billing email for invoices

Pattern: ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
companyName
string | null

Company name

addressLine1
string | null

Address line 1

addressLine2
string | null

Address line 2

city
string | null

City

postalCode
string | null

Postal code

country
string | null

Country (ISO 3166-1 alpha-2 code)

Response

Default Response

id
string
required
name
string
required
slug
string
required
description
string | null
required
currency
string
default:DKK
required
createdAt
string
required
updatedAt
string
required
vatNumber
string | null
billingEmail
string | null
companyName
string | null
addressLine1
string | null
addressLine2
string | null
city
string | null
postalCode
string | null
country
string | null